SDL_GetMaxHapticEffects(3)

NAME
SDL_GetMaxHapticEffects - Get the number of effects a haptic device can store.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetMaxHapticEffects(SDL_Haptic *haptic);

DESCRIPTION
On some platforms this isn't fully supported, and therefore is an approximation. Always check to see if your created effect was actually created and do not rely solely on SDL_GetMaxHapticEffects ().

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to query

RETURN VALUE
Returns the number of effects the haptic device can store or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetMaxHapticEffectsPlaying(3), SDL_GetHapticFeatures(3)